package com.xfront.owl;

/**
 * @author Michael C. Daconta
 */
public interface OwlAccessor 
{
	public String getProperties(String classURI);
	public String getEquivalentProperties(String propertyURI);     
	public String getSuperClasses(String classURI); 
	public String getPropertyTypes(String propertyURI); 
	public String getClassSpecificPropertyDefinitions(String classURI, String propertyURI);
	public String getDomain(String propertyURI);
	public String getRange(String propertyURI);
	public String getInstances(String classURI);
	public String getEquivalentClasses(String classURI);
}
